| FFmpegKit Android API 6.0

Loading...
Searching...
No Matches
Macros | Functions
ffmpegkit.h File Reference

Go to the source code of this file.

## Macros
#define | FFMPEG_KIT_VERSION "6.0"
#define | LIB_NAME "ffmpeg-kit"
#define | LOGV(...) __android_log_print(ANDROID_LOG_VERBOSE, LIB_NAME, __VA_ARGS__)
#define | LOGD(...) __android_log_print(ANDROID_LOG_DEBUG, LIB_NAME, __VA_ARGS__)
#define | LOGI(...) __android_log_print(ANDROID_LOG_INFO, LIB_NAME, __VA_ARGS__)
#define | LOGW(...) __android_log_print(ANDROID_LOG_WARN, LIB_NAME, __VA_ARGS__)
#define | LOGE(...) __android_log_print(ANDROID_LOG_ERROR, LIB_NAME, __VA_ARGS__)

## Functions
JNIEXPORT void JNICALL | Java_com_arthenica_ffmpegkit_FFmpegKitConfig_enableNativeRedirection (JNIEnv *, jclass)
JNIEXPORT void JNICALL | Java_com_arthenica_ffmpegkit_FFmpegKitConfig_disableNativeRedirection (JNIEnv *, jclass)
JNIEXPORT void JNICALL | Java_com_arthenica_ffmpegkit_FFmpegKitConfig_setNativeLogLevel (JNIEnv *, jclass, jint)
JNIEXPORT jint JNICALL | Java_com_arthenica_ffmpegkit_FFmpegKitConfig_getNativeLogLevel (JNIEnv *, jclass)
JNIEXPORT jstring JNICALL | Java_com_arthenica_ffmpegkit_FFmpegKitConfig_getNativeFFmpegVersion (JNIEnv *, jclass)
JNIEXPORT jstring JNICALL | Java_com_arthenica_ffmpegkit_FFmpegKitConfig_getNativeVersion (JNIEnv *, jclass)
JNIEXPORT jint JNICALL | Java_com_arthenica_ffmpegkit_FFmpegKitConfig_nativeFFmpegExecute (JNIEnv *, jclass, jlong, jobjectArray)
JNIEXPORT void JNICALL | Java_com_arthenica_ffmpegkit_FFmpegKitConfig_nativeFFmpegCancel (JNIEnv *, jclass, jlong)
JNIEXPORT int JNICALL | Java_com_arthenica_ffmpegkit_FFmpegKitConfig_registerNewNativeFFmpegPipe (JNIEnv *env, jclass object, jstring ffmpegPipePath)
JNIEXPORT jstring JNICALL | Java_com_arthenica_ffmpegkit_FFmpegKitConfig_getNativeBuildDate (JNIEnv *env, jclass object)
JNIEXPORT int JNICALL | Java_com_arthenica_ffmpegkit_FFmpegKitConfig_setNativeEnvironmentVariable (JNIEnv *env, jclass object, jstring variableName, jstring variableValue)
JNIEXPORT void JNICALL | Java_com_arthenica_ffmpegkit_FFmpegKitConfig_ignoreNativeSignal (JNIEnv *env, jclass object, jint signum)
JNIEXPORT int JNICALL | Java_com_arthenica_ffmpegkit_FFmpegKitConfig_messagesInTransmit (JNIEnv *env, jclass object, jlong id)

## Macro Definition Documentation

## ◆ FFMPEG_KIT_VERSION

#define FFMPEG_KIT_VERSION "6.0"

Library version string

Definition at line 30 of file ffmpegkit.h.

## ◆ LIB_NAME

#define LIB_NAME "ffmpeg-kit"

Defines tag used for Android logging.

Definition at line 33 of file ffmpegkit.h.

## ◆ LOGD

#define LOGD | ( |  | ... | ) | __android_log_print(ANDROID_LOG_DEBUG, LIB_NAME, __VA_ARGS__)

Debug Android logging macro.

Definition at line 39 of file ffmpegkit.h.

## ◆ LOGE

#define LOGE | ( |  | ... | ) | __android_log_print(ANDROID_LOG_ERROR, LIB_NAME, __VA_ARGS__)

Error Android logging macro.

Definition at line 48 of file ffmpegkit.h.

## ◆ LOGI

#define LOGI | ( |  | ... | ) | __android_log_print(ANDROID_LOG_INFO, LIB_NAME, __VA_ARGS__)

Info Android logging macro.

Definition at line 42 of file ffmpegkit.h.

## ◆ LOGV

#define LOGV | ( |  | ... | ) | __android_log_print(ANDROID_LOG_VERBOSE, LIB_NAME, __VA_ARGS__)

Verbose Android logging macro.

Definition at line 36 of file ffmpegkit.h.

## ◆ LOGW

#define LOGW | ( |  | ... | ) | __android_log_print(ANDROID_LOG_WARN, LIB_NAME, __VA_ARGS__)

Warn Android logging macro.

Definition at line 45 of file ffmpegkit.h.

## Function Documentation

## ◆ Java_com_arthenica_ffmpegkit_FFmpegKitConfig_disableNativeRedirection()

JNIEXPORT void JNICALL Java_com_arthenica_ffmpegkit_FFmpegKitConfig_disableNativeRedirection | ( | JNIEnv * | env,
|  | jclass | object
| ) |  |

Disables log and statistics redirection.

Parameters

  env | pointer to native method interface
  object | reference to the class on which this method is invoked

Definition at line 734 of file ffmpegkit.c.

## ◆ Java_com_arthenica_ffmpegkit_FFmpegKitConfig_enableNativeRedirection()

JNIEXPORT void JNICALL Java_com_arthenica_ffmpegkit_FFmpegKitConfig_enableNativeRedirection | ( | JNIEnv * | env,
|  | jclass | object
| ) |  |

Enables log and statistics redirection.

Parameters

  env | pointer to native method interface
  object | reference to the class on which this method is invoked

Definition at line 724 of file ffmpegkit.c.

## ◆ Java_com_arthenica_ffmpegkit_FFmpegKitConfig_getNativeBuildDate()

JNIEXPORT jstring JNICALL Java_com_arthenica_ffmpegkit_FFmpegKitConfig_getNativeBuildDate | ( | JNIEnv * | env,
|  | jclass | object
| ) |  |

Returns FFmpegKit library build date natively.

Parameters

  env | pointer to native method interface
  object | reference to the class on which this method is invoked

Returns
  FFmpegKit library build date

Definition at line 874 of file ffmpegkit.c.

## ◆ Java_com_arthenica_ffmpegkit_FFmpegKitConfig_getNativeFFmpegVersion()

JNIEXPORT jstring JNICALL Java_com_arthenica_ffmpegkit_FFmpegKitConfig_getNativeFFmpegVersion | ( | JNIEnv * | env,
|  | jclass | object
| ) |  |

Returns FFmpeg version bundled within the library natively.

Parameters

  env | pointer to native method interface
  object | reference to the class on which this method is invoked

Returns
  FFmpeg version string

Definition at line 759 of file ffmpegkit.c.

## ◆ Java_com_arthenica_ffmpegkit_FFmpegKitConfig_getNativeLogLevel()

JNIEXPORT jint JNICALL Java_com_arthenica_ffmpegkit_FFmpegKitConfig_getNativeLogLevel | ( | JNIEnv * | env,
|  | jclass | object
| ) |  |

Returns current log level.

Parameters

  env | pointer to native method interface
  object | reference to the class on which this method is invoked

Definition at line 714 of file ffmpegkit.c.

## ◆ Java_com_arthenica_ffmpegkit_FFmpegKitConfig_getNativeVersion()

JNIEXPORT jstring JNICALL Java_com_arthenica_ffmpegkit_FFmpegKitConfig_getNativeVersion | ( | JNIEnv * | env,
|  | jclass | object
| ) |  |

Returns FFmpegKit library version natively.

Parameters

  env | pointer to native method interface
  object | reference to the class on which this method is invoked

Returns
  FFmpegKit version string

Definition at line 770 of file ffmpegkit.c.

## ◆ Java_com_arthenica_ffmpegkit_FFmpegKitConfig_ignoreNativeSignal()

JNIEXPORT void JNICALL Java_com_arthenica_ffmpegkit_FFmpegKitConfig_ignoreNativeSignal | ( | JNIEnv * | env,
|  | jclass | object,
|  | jint | signum
| ) |  |

Registers a new ignored signal. Ignored signals are not handled by the library.

Parameters

  env | pointer to native method interface
  object | reference to the class on which this method is invoked
  signum | signal number

Definition at line 907 of file ffmpegkit.c.

## ◆ Java_com_arthenica_ffmpegkit_FFmpegKitConfig_messagesInTransmit()

JNIEXPORT int JNICALL Java_com_arthenica_ffmpegkit_FFmpegKitConfig_messagesInTransmit | ( | JNIEnv * | env,
|  | jclass | object,
|  | jlong | id
| ) |  |

Returns the number of native messages which are not transmitted to the Java callbacks for the given session.

Parameters

  env | pointer to native method interface
  object | reference to the class on which this method is invoked
  id | session id

Definition at line 929 of file ffmpegkit.c.

## ◆ Java_com_arthenica_ffmpegkit_FFmpegKitConfig_nativeFFmpegCancel()

JNIEXPORT void JNICALL Java_com_arthenica_ffmpegkit_FFmpegKitConfig_nativeFFmpegCancel | ( | JNIEnv * | env,
|  | jclass | object,
|  | jlong | id
| ) |  |

Cancels an ongoing FFmpeg operation natively.

Parameters

  env | pointer to native method interface
  object | reference to the class on which this method is invoked
  id | session id

Definition at line 849 of file ffmpegkit.c.

## ◆ Java_com_arthenica_ffmpegkit_FFmpegKitConfig_nativeFFmpegExecute()

JNIEXPORT jint JNICALL Java_com_arthenica_ffmpegkit_FFmpegKitConfig_nativeFFmpegExecute | ( | JNIEnv * | env,
|  | jclass | object,
|  | jlong | id,
|  | jobjectArray | stringArray
| ) |  |

Synchronously executes FFmpeg natively with arguments provided.

Parameters

  env | pointer to native method interface
  object | reference to the class on which this method is invoked
  id | session id
  stringArray | reference to the object holding FFmpeg command arguments

Returns
  zero on successful execution, non-zero on error

Definition at line 783 of file ffmpegkit.c.

## ◆ Java_com_arthenica_ffmpegkit_FFmpegKitConfig_registerNewNativeFFmpegPipe()

JNIEXPORT int JNICALL Java_com_arthenica_ffmpegkit_FFmpegKitConfig_registerNewNativeFFmpegPipe | ( | JNIEnv * | env,
|  | jclass | object,
|  | jstring | ffmpegPipePath
| ) |  |

Creates natively a new named pipe to use in FFmpeg operations.

Parameters

  env | pointer to native method interface
  object | reference to the class on which this method is invoked
  ffmpegPipePath | full path of ffmpeg pipe

Returns
  zero on successful creation, non-zero on error

Definition at line 861 of file ffmpegkit.c.

## ◆ Java_com_arthenica_ffmpegkit_FFmpegKitConfig_setNativeEnvironmentVariable()

JNIEXPORT int JNICALL Java_com_arthenica_ffmpegkit_FFmpegKitConfig_setNativeEnvironmentVariable | ( | JNIEnv * | env,
|  | jclass | object,
|  | jstring | variableName,
|  | jstring | variableValue
| ) |  |

Class: com_arthenica_ffmpegkit_FFmpegKitConfig Method: setNativeEnvironmentVariable Signature: (Ljava/lang/String;Ljava/lang/String;)I

Sets an environment variable natively

Parameters

  env | pointer to native method interface
  object | reference to the class on which this method is invoked
  variableName | environment variable name
  variableValue | environment variable value

Returns
  zero on success, non-zero on error

Definition at line 889 of file ffmpegkit.c.

## ◆ Java_com_arthenica_ffmpegkit_FFmpegKitConfig_setNativeLogLevel()

JNIEXPORT void JNICALL Java_com_arthenica_ffmpegkit_FFmpegKitConfig_setNativeLogLevel | ( | JNIEnv * | env,
|  | jclass | object,
|  | jint | level
| ) |  |

Sets log level.

Parameters

  env | pointer to native method interface
  object | reference to the class on which this method is invoked
  level | log level

Definition at line 704 of file ffmpegkit.c.